'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _globby = require('globby');

var _globby2 = _interopRequireDefault(_globby);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var PostUrlValidator = function () {
  function PostUrlValidator() {
    _classCallCheck(this, PostUrlValidator);
  }

  _createClass(PostUrlValidator, [{
    key: 'validate',
    value: function validate(path) {
      var files = _globby2.default.sync(path);

      var errors = files.filter(function (x) {
        return !x.match(/.*\d{4}-\d{2}-\d{2}-([a-z0-9-])+\.(markdown|md)$/);
      });

      if (errors.length > 0) {
        throw new Error(errors.length.toString() + ' post filename' + (errors.length > 1 ? 's' : '') + ' did not match the expected format:\n\n' + errors.join('\n') + '\n');
      }
    }
  }]);

  return PostUrlValidator;
}();

exports.default = PostUrlValidator;